Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.shimhost
Class MissingElementException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.nds.dirxml.shimhost.ConfigException
                  com.novell.nds.dirxml.shimhost.XMLException
                      com.novell.nds.dirxml.shimhost.MissingElementException

All Implemented Interfaces:
  Serializable

    public class MissingElementException

extends XMLException

Extension of `XMLException` thrown when a required `Element` is missing from an XML document.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.novell.nds.dirxml.shimhost.XMLException
`BAD_ATTRIBUTE_VALUE, BAD_BASE64, BAD_ELEMENT_CONTENT, columnNumber, lineNumber, locationURI, messageSource, MSG_FORMAT, MSG_FORMAT_COL, MSG_MISSING_ATTRIBUTE, MSG_MISSING_ELEMENT`

Constructor Summary
`MissingElementException(String elementName, Node location)` Construct a `MissingElementException` with the passed element name and location information.

Method Summary

Methods inherited from class com.novell.nds.dirxml.shimhost.XMLException
`getMessage, setLocation`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingElementException

    public MissingElementException(String elementName,
                                   Node location)

  Construct a `MissingElementException` with the passed element name and location information.

  Parameters:
    `elementName` - tag name of element
    `location` - DOM node from which to extract document location information

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD